################################################ Timing Constraints ################################################

# Set the 200 MHz external clock oscillator frequency.
create_clock -name clk200 -period 5 [get_ports clk200_p]
set_clock_groups -name async_clk200 -asynchronous -group [get_clocks clk200]

# Set the 500 MHz external clock oscillator frequency.
#create_clock -name clk500 -period 2 [get_ports clk500_p]
#set_clock_groups -name async_clk500 -asynchronous -group [get_clocks clk500]

################################################ Pinout Constraints ################################################

# Clock pin assignments.
set_property PACKAGE_PIN E18 [get_ports clk200_p]
#set_property PACKAGE_PIN AB11 [get_ports clk500_p]

# Serial bus pin assignments.
set_property PACKAGE_PIN E20 [get_ports i2c_scl]
set_property PACKAGE_PIN F19 [get_ports i2c_sda]
set_property PACKAGE_PIN A18 [get_ports spi_clk]
set_property PACKAGE_PIN C19 [get_ports spi_csb_cmd[0]]
set_property PACKAGE_PIN C17 [get_ports spi_csb_cmd[1]]
set_property PACKAGE_PIN C18 [get_ports spi_csb_cmd[2]]
set_property PACKAGE_PIN A19 [get_ports spi_sdi]
set_property PACKAGE_PIN B19 [get_ports spi_sdo]
set_property PACKAGE_PIN L19 [get_ports synth_cmd[0]]
set_property PACKAGE_PIN M16 [get_ports synth_cmd[1]]
set_property PACKAGE_PIN K15 [get_ports synth_cmd[2]]

# LED pin assignments.
set_property PACKAGE_PIN A17 [get_ports led_on[0]]
set_property PACKAGE_PIN B17 [get_ports led_on[1]]

# Trigger pin assignments.
set_property PACKAGE_PIN G24 [get_ports coax_trig]
set_property PACKAGE_PIN F24 [get_ports gpio_trig]

# GPIO pin assignments.
set_property PACKAGE_PIN D23 [get_ports gpio[1]]
set_property PACKAGE_PIN D24 [get_ports gpio[2]]
set_property PACKAGE_PIN E25 [get_ports gpio[3]]
set_property PACKAGE_PIN D25 [get_ports gpio[4]]
set_property PACKAGE_PIN F22 [get_ports gpio[5]]
set_property PACKAGE_PIN E23 [get_ports gpio[6]]
set_property PACKAGE_PIN G25 [get_ports gpio_tristate]

# User pin assignments.
set_property PACKAGE_PIN A15 [get_ports user[1]]
set_property PACKAGE_PIN A14 [get_ports user[2]]
set_property PACKAGE_PIN B15 [get_ports user[3]]
set_property PACKAGE_PIN B14 [get_ports user[4]]
set_property PACKAGE_PIN A12 [get_ports user[5]]
set_property PACKAGE_PIN B11 [get_ports user[6]]
set_property PACKAGE_PIN A13 [get_ports user[7]]
set_property PACKAGE_PIN B12 [get_ports user[8]]
set_property PACKAGE_PIN A10 [get_ports user[9]]
set_property PACKAGE_PIN A8 [get_ports user[10]]
set_property PACKAGE_PIN B10 [get_ports user[11]]
set_property PACKAGE_PIN A9 [get_ports user[12]]
set_property PACKAGE_PIN C13 [get_ports user[13]]
set_property PACKAGE_PIN C11 [get_ports user[14]]
set_property PACKAGE_PIN C14 [get_ports user[15]]
set_property PACKAGE_PIN C12 [get_ports user[16]]
set_property PACKAGE_PIN B9 [get_ports user[17]]
set_property PACKAGE_PIN D13 [get_ports user[18]]
set_property PACKAGE_PIN C9 [get_ports user[19]]
set_property PACKAGE_PIN D14 [get_ports user[20]]
set_property PACKAGE_PIN E12 [get_ports user[21]]
set_property PACKAGE_PIN D11 [get_ports user[22]]
set_property PACKAGE_PIN E13 [get_ports user[23]]
set_property PACKAGE_PIN E11 [get_ports user[24]]
set_property PACKAGE_PIN D10 [get_ports user[25]]
set_property PACKAGE_PIN D8 [get_ports user[26]]
set_property PACKAGE_PIN E10 [get_ports user[27]]
set_property PACKAGE_PIN D9 [get_ports user[28]]
set_property PACKAGE_PIN F13 [get_ports user[29]]
set_property PACKAGE_PIN F12 [get_ports user[30]]
set_property PACKAGE_PIN F14 [get_ports user[31]]
set_property PACKAGE_PIN G12 [get_ports user[32]]
set_property PACKAGE_PIN F10 [get_ports user[33]]
set_property PACKAGE_PIN G9 [get_ports user[34]]
set_property PACKAGE_PIN G11 [get_ports user[35]]
set_property PACKAGE_PIN G10 [get_ports user[36]]
set_property PACKAGE_PIN F8 [get_ports user[37]]
set_property PACKAGE_PIN G14 [get_ports user[38]]
set_property PACKAGE_PIN F9 [get_ports user[39]]
set_property PACKAGE_PIN H14 [get_ports user[40]]
set_property PACKAGE_PIN H13 [get_ports user[41]]
set_property PACKAGE_PIN H11 [get_ports user[42]]
set_property PACKAGE_PIN J13 [get_ports user[43]]
set_property PACKAGE_PIN H12 [get_ports user[44]]
set_property PACKAGE_PIN J10 [get_ports user[45]]
set_property PACKAGE_PIN H8 [get_ports user[46]]
set_property PACKAGE_PIN J11 [get_ports user[47]]
set_property PACKAGE_PIN H9 [get_ports user[48]]
set_property PACKAGE_PIN J14 [get_ports user[49]]
set_property PACKAGE_PIN J8 [get_ports user[50]]
set_property PACKAGE_PIN C16 [get_ports user[51]]
set_property PACKAGE_PIN B16 [get_ports user[52]]
set_property PACKAGE_PIN D15 [get_ports user[53]]
set_property PACKAGE_PIN D16 [get_ports user[54]]
set_property PACKAGE_PIN E15 [get_ports user[55]]
set_property PACKAGE_PIN E16 [get_ports user[56]]
set_property PACKAGE_PIN G17 [get_ports user[57]]
set_property PACKAGE_PIN F18 [get_ports user[58]]
set_property PACKAGE_PIN G15 [get_ports user[59]]
set_property PACKAGE_PIN F15 [get_ports user[60]]
set_property PACKAGE_PIN H16 [get_ports user[61]]
set_property PACKAGE_PIN G16 [get_ports user[62]]
set_property PACKAGE_PIN G19 [get_ports user_tristate]

# GPIO/user direction port expander pin assignments.
set_property PACKAGE_PIN J21 [get_ports gpio_user_cmd[0]]
set_property PACKAGE_PIN L23 [get_ports gpio_user_cmd[1]]
set_property PACKAGE_PIN K21 [get_ports gpio_user_cmd[2]]
